Schwungrad = {};

function Schwungrad.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Schwungrad:load(xmlFile)

    self.Schwungrad = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Schwungrad#index"));
	
	self.StartEngine = false;
end;


function Schwungrad:keyEvent(unicode, sym, modifier, isDown)

end;

function Schwungrad:readStream(streamId, connection)
	self.StartEngine = streamReadBool(streamId);
end;

function Schwungrad:writeStream(streamId, connection)	
	streamWriteBool(streamId, self.StartEngine);
end;

function Schwungrad:update(dt)
	if self.isMotorStarted then
		self.StartEngine = true;
	else
		self.StartEngine = false;
  end;
end;

function Schwungrad:updateTick(dt)
	if self.StartEngine then
		if self.Schwungrad ~= nil then
			rotate(self.Schwungrad, self.motor.lastMotorRpm*1.5, 0, 0);  
		end;
	end;
end;

function Schwungrad:draw()
end;

function Schwungrad:onEnter()
end;

function Schwungrad:onLeave()
end;

function Schwungrad:delete()
end;

function Schwungrad:mouseEvent(posX, posY, isDown, isUp, button)
end;